openvasd_tests.c File Reference
`#include "openvasd.c"`
`#include <cgreen/assertions.h>`
`#include <cgreen/cgreen.h>`
`#include <cgreen/constraint_syntax_helpers.h>`
`#include <cgreen/internal/c_assertions.h>`
`#include <cgreen/mocks.h>`

## Functions

| Describe (openvasd)
| BeforeEach (openvasd)
| AfterEach (openvasd)
| Ensure (openvasd, openvasd_add_credential_to_scan_json)
| Ensure (openvasd, openvasd_add_port_to_scan_json)
| Ensure (openvasd, openvasd_add_vts_to_scan_json)
int | main (int argc, char **argv)

## Function Documentation

## AfterEach()

AfterEach | ( | openvasd |  | ) |

## BeforeEach()

BeforeEach | ( | openvasd |  | ) |

## Describe()

Describe | ( | openvasd |  | ) |

## Ensure() [1/3]

Ensure | ( | openvasd | ,
|  | openvasd_add_credential_to_scan_json | )

## Ensure() [2/3]

Ensure | ( | openvasd | ,
|  | openvasd_add_port_to_scan_json | )

## Ensure() [3/3]

Ensure | ( | openvasd | ,
|  | openvasd_add_vts_to_scan_json | )

## main()

int main | ( | int | argc,
|  | char ** | argv )